From: =?utf-8?q?Timo_R=C3=B6hling?= <roehling@debian.org>
Date: Tue, 21 Sep 2021 22:18:08 +0200
Subject: Special handling for Debian /usr workspace

---
 cmake/genmsg-extras.cmake.em              | 5 +++++
 cmake/pkg-msg-paths.cmake.installspace.in | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

diff --git a/cmake/genmsg-extras.cmake.em b/cmake/genmsg-extras.cmake.em
index 85a54bd..7a30f4e 100644
--- a/cmake/genmsg-extras.cmake.em
+++ b/cmake/genmsg-extras.cmake.em
@@ -231,6 +231,11 @@ macro(generate_messages)
     @@ONLY)
   # generate and install config of message include dirs for project
   set(PKG_MSG_INCLUDE_DIRS "${${PROJECT_NAME}_MSG_INCLUDE_DIRS_INSTALLSPACE}")
+  if(CMAKE_INSTALL_PREFIX STREQUAL "/usr")
+    set(PACKAGE_INSTALL_SHARE_LOCATION "${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}")
+  else()
+    set(PACKAGE_INSTALL_SHARE_LOCATION "\${${PROJECT_NAME}_DIR}/..")
+  endif()
   configure_file(
     ${genmsg_CMAKE_DIR}/pkg-msg-paths.cmake.installspace.in
     ${CMAKE_CURRENT_BINARY_DIR}/catkin_generated/installspace/${PROJECT_NAME}-msg-paths.cmake
diff --git a/cmake/pkg-msg-paths.cmake.installspace.in b/cmake/pkg-msg-paths.cmake.installspace.in
index 1d35efd..69a3789 100644
--- a/cmake/pkg-msg-paths.cmake.installspace.in
+++ b/cmake/pkg-msg-paths.cmake.installspace.in
@@ -1,4 +1,4 @@
 # generated from genmsg/cmake/pkg-msg-paths.cmake.installspace.in
 
-_prepend_path("${@PROJECT_NAME@_DIR}/.." "@PKG_MSG_INCLUDE_DIRS@" @PROJECT_NAME@_MSG_INCLUDE_DIRS UNIQUE)
+_prepend_path("@PACKAGE_INSTALL_SHARE_LOCATION@" "@PKG_MSG_INCLUDE_DIRS@" @PROJECT_NAME@_MSG_INCLUDE_DIRS UNIQUE)
 set(@PROJECT_NAME@_MSG_DEPENDENCIES @ARG_DEPENDENCIES@)
